%define upstream_name    HTML-FormFu-Model-DBIC
%define upstream_version 2.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Integrate HTML::FormFu with DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.80
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::FormFu) >= 2.0.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(SQL::Translator) >= 0.110.160
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(YAML::Syck)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.30.0-5.mga10
+ Revision: 2203981
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.30.0-4.mga9
+ Revision: 1809396
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-3.mga8
+ Revision: 1504614
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.30.0-2.mga7
+ Revision: 1283958
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 2.30.0-1.mga7
+ Revision: 1216978
- BR perl(MooseX::Attribute::Chained)
- Update to version 2.03

* Mon Jul 31 2017 sander85 <sander85> 2.20.0-1.mga7
+ Revision: 1133301
- update to 2.02

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-6.mga6
+ Revision: 1028224
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 2.0.0-5.mga6
+ Revision: 951166
- Mageia 6 Mass Rebuild

* Thu Dec 11 2014 sander85 <sander85> 2.0.0-4.mga5
+ Revision: 802703
- BR perl-YAML-Syck to pass tests
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue May 06 2014 jquelin <jquelin> 2.0.0-1.mga5
+ Revision: 620705
- update to 2.00

* Mon Feb 10 2014 jquelin <jquelin> 1.20.0-1.mga5
+ Revision: 588461
- update to 1.02
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.100-2.mga3
+ Revision: 368003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.90.100-1.mga3
+ Revision: 306553
- update to 0.09010
- update to 0.09002

* Mon Apr 04 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80368
- update to 0.09000

* Wed Jan 26 2011 jquelin <jquelin> 0.80.20-1.mga1
+ Revision: 40791
- adding missing buildrequires:
- mageia rebuild
- imported package perl-HTML-FormFu-Model-DBIC

